SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001730SiT!otherpublic2011-10-05 19:542012-07-07 18:10
Reporterpaulh 
Assigned ToTomse 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.65 LTS 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001730: Page not found/404 error after session expiry
DescriptionIf you visit a page which requires authentication after your session has expired you get a 404 page not found
Steps To ReproduceVisit http://localhost/sit3/incidents.php?user=current&queue=1&type=support [^] after opening your browser (so not authenticated)

This redirects to the login page at: http://localhost/sit3/index.php?id=2&page=%2Fsit3%2Fincidents.php%3Fuser%3Dcurrent%26queue%3D1%26type%3Dsupport [^]

After login you get:

Not Found

The requested URL /sit3/incidents.phpuser=current&queue=1&type=support was not found on this server.
Apache/2.2.21 (Debian) Server at localhost Port 80

As you can see from the URL the question mark between incidents.php and the arguments is missing. This is a plain 3.xSVN running with no reverse proxy, iChain etc
Additional InformationSuspect this is out tightening up around parameter checking
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004324)
Tomse (developer)
2011-10-08 16:47

Fixed in svn 7429
User avatar (0004332)
paulh (administrator)
2011-10-25 10:39

svn7447 is also needed to fix this

- Issue History
Date Modified Username Field Change
2011-10-05 19:54 paulh New Issue
2011-10-08 12:18 ivan Status new => confirmed
2011-10-08 12:18 ivan Target Version => 3.66 LTS
2011-10-08 16:33 Tomse Assigned To => Tomse
2011-10-08 16:33 Tomse Status confirmed => assigned
2011-10-08 16:47 Tomse Note Added: 0004324
2011-10-08 16:47 Tomse Status assigned => resolved
2011-10-08 16:47 Tomse Fixed in Version => Current SVN
2011-10-08 16:47 Tomse Resolution open => fixed
2011-10-25 10:39 paulh Note Added: 0004332
2012-07-06 14:13 Tomse Fixed in Version Current SVN => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker